package com.github.polpetta.mezzotre.orm.model;

import io.ebean.annotation.Length;
import io.ebean.annotation.NotNull;
import java.util.List;
import javax.annotation.Nullable;
import javax.persistence.*;
import javax.validation.constraints.Null;

@Entity
public class Campaign extends Base {

  @Id
  @Length(64)
  private final String id;

  @Length(256)
  @NotNull
  private String campaignName;

  @Nullable @Null private String description;

  @ManyToMany(fetch = FetchType.LAZY)
  private List<User> users;

  public Campaign(String id, String campaignName, @Nullable String description) {
    this.id = id;
    this.campaignName = campaignName;
    this.description = description;
  }

  public String getId() {
    return id;
  }

  public String getCampaignName() {
    return campaignName;
  }

  public void setCampaignName(String campaignName) {
    this.campaignName = campaignName;
  }

  @Nullable
  public String getDescription() {
    return description;
  }

  public void setDescription(@Nullable String description) {
    this.description = description;
  }

  public List<User> getUsers() {
    return users;
  }

  public void setUsers(List<User> users) {
    this.users = users;
  }
}
